PhpStorm – Plugin „PHP composer.json” is incompatible

Witaj, dawno się nie słyszeliśmy 🙂 Blog ten się dość mocno zakurzył ostatnio, wynika to z faktu iż w moim życiu prywatnych sporo się zmieniło. Chciałbym to zmienić, postaram się umieszczać krótkie wpisy. Od czegoś trzeba zacząć, by wrócić do starych nawyków 🙂

Problem

Od aktualizacji 2020.1 (lista zmian ↗️) PhpStorm zacząłem otrzymywać taki komunikat:

Jedyne co da się zrobić z poziomu PhpStorm to zamknąć ten komunikat. Nie da się odinstalować tej wtyczki w oknie ustawień programu.

Przyczyna

Wynika to z faktu że od niedawna PhpStorm ma wbudowaną obsługę plików composer.json. Wcześniej był do tego potrzebny plugin. Plugin który teraz jest oznaczy jako niekompatybilny.

Rozwiązanie

Przejdź do katalogu z wtyczkami (lokalizacja ↗️), znajdź katalog ideaComposerPlugin i usuń go. Po wszystkim wykonaj restart PhpStorm. I to tyle 🙂

Dodaj komentarz

Twój adres email nie zostanie opublikowany. Pola, których wypełnienie jest wymagane, są oznaczone symbolem *